/*
 * HPTalx
 * A PC<->HP48/49 communication program for Linux
 *
 * (C) 1999 by Bruno Barberi Gnecco
 * (C) 2005 by Bruno Barberi Gnecco and Rafael Ostertag
 *
 * NOTE: Icons Copyright (C) 2000 Hewlett Packard and Jean-Pierre Bergamin.
 * 
 *
 *
 * Copyright note:
 * 
 * This program is free software; you can
 * redistribute it and/or modify it under the
 * terms of the GNU General Public License as
 * published by the Free Software Foundation;
 * either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that
 * it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE.  See the GNU General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU
 * General Public License along with this
 * program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA 
 */

#ifndef HPTALX_ICONS_H
#define HPTALX_ICONS_H

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <gdk/gdk.h>
#include <gtk/gtk.h>

extern GdkPixbuf   *dir_pixbuf;
extern GdkPixbuf   *file_pixbuf;
extern GdkPixbuf   *list_pixbuf;
extern GdkPixbuf   *library_pixbuf;
extern GdkPixbuf   *program_pixbuf;
extern GdkPixbuf   *string_pixbuf;
extern GdkPixbuf   *algebraic_pixbuf;
extern GdkPixbuf   *array_pixbuf;
extern GdkPixbuf   *real_pixbuf;
extern GdkPixbuf   *complex_pixbuf;
extern GdkPixbuf   *complexlist_pixbuf;
extern GdkPixbuf   *reallist_pixbuf;
extern GdkPixbuf   *unit_pixbuf;
extern GdkPixbuf   *unknown_pixbuf;
extern GdkPixbuf   *integer_pixbuf;
extern GdkPixbuf   *global_pixbuf;

extern void         init_pixbufs (void);
extern void         close_pixbufs (void);

#endif
